'Drop a plain text file on this script, and it will create an 
'identically-named WAV file (except for the file extension!).
'
Option Explicit
dim tts, fs, ts, ss, strFile, strText, blnError, lngFormat, A
Const ForReading = 1
Const SSFMCreateForWrite = 3
Const AUDIO_FORMAT = 22 'Please refer to the SAFT function for value description
	'Check argument count
	If WScript.Arguments.Count = 0 Then
		MsgBox "Drop a text file on this script and I'll convert it into a WAV sound file."
		WScript.Quit 1
	End If
for a = 0 to (WScript.Arguments.Count - 1) step 1
	Set fs = CreateObject("Scripting.FileSystemObject")
	strFile = WScript.Arguments(A)
	strFile = Trim(strFile)
	If strFile = "" Then
		MsgBox "I can't read nothing! Give me the name of a text file."
		WScript.Quit 1
	End If
	If InStr(strFile, "\\") <> 1 And InStr(strFile, ":\") <> 2 Then
		strFile = fs.GetAbsolutePathName(fs.BuildPath(fs.GetFolder(".").Path, strFile))
	End If
	If Not fs.FileExists(strFile) Then
		MsgBox "I can't locate a file named """ & WScript.Arguments(0) & """. Try using a fully-qualified path and file name."
		WScript.Quit 1
	End If
		lngFormat = AUDIO_FORMAT - 1
	'Get the SAPI 5text-to-voice engine. 
	Set tts = Nothing
	Set tts = CreateObject("Sapi.SpVoice")
	If tts Is Nothing Then
		InputBox "You don't have SAPI 5! Please hop on the internet, download, and install the Microsoft SAPI 5 speech development kit from here:", "Error", "http://download.microsoft.com/download/speechSDK/SDK/5.1/WXP/EN-US/speechsdk51.exe"
		WScript.Quit 1
	End If
	'Read the file
	Status "Reading text file"
	Set ts = fs.OpenTextFile(WScript.Arguments(A), ForReading, True)
	strText = ts.ReadAll
	ts.Close
	Set ts = Nothing
	'Generate a file name for the output WAV file
	strFile = Left(strFile, InStrRev(strFile, ".")) & "wav"
	'Check to see that chosen audio format is supported
	Err.Clear
	blnError = True
	On Error Resume Next
	Do While blnError
		lngFormat = lngFormat + 1
		If fs.FileExists(strFile) Then fs.DeleteFile strFile
		Set ss = CreateObject("Sapi.SpFileStream")
 		ss.Format.Type = lngFormat
		ss.Open strFile, SSFMCreateForWrite, False
		Set tts.AudioOutputStream = ss
		Err.Clear
		If Err.Number = 0 Then
			Status "USING:  Format " & lngFormat & " (" & SAFT(lngFormat) & ")"
			blnError = False 
		Else
			Status "FAILED: Format " & lngFormat & " (" & SAFT(lngFormat) & ")"
			Set tts.AudioOutputStream = Nothing
			ss.Close
			Set ss = Nothing
			blnError = True
		End If
	Loop
	'Convert text to WAV!
	Status "Converting to WAV"
	tts.Speak strText
	'Clean up
ss.close
next
Set ss = Nothing
	Set tts = Nothing
Sub Status(strMessage)
	If Lcase(Right(Wscript.FullName, 12)) = "\cscript.exe" Then
		Wscript.Echo strMessage
	End If
End Sub
msgbox "Conversion was completed succesfully."